<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3104
Name: AU-Diagnosis Section
Description: In dieser Section werden die  AU-begründende Diagnosen  untergebracht.  Die ICD-Codes kommen in die inkludierten Entries. (max 6 Stk.) Der Freitext (als Feld in der dritten Zeile) wird im text-Element dieser Section untergebracht.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3104-2017-05-24T171828">
   <title>AU-Diagnosis Section</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3104
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3104']]]
Item: (AUDiagnosisSection)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3104
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3104']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3104']]
Item: (AUDiagnosisSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3104']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3104']]"
         id="d19e1125-false-d15362e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3104-2017-05-24T171828.html"
              test="string(@classCode)=('DOCSECT') or not(@classCode)">(AUDiagnosisSection): Der Wert von @classCode MUSS 'DOCSECT' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3104-2017-05-24T171828.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(AUDiagnosisSection): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3104-2017-05-24T171828.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3104'])&gt;=1">(AUDiagnosisSection): Element hl7:templateId[@root='1.2.276.0.76.10.3104'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3104-2017-05-24T171828.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3104'])&lt;=1">(AUDiagnosisSection): Element hl7:templateId[@root='1.2.276.0.76.10.3104'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3104-2017-05-24T171828.html"
              test="count(hl7:code[(@code='AU-DIAGNOSIS' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor])&lt;=1">(AUDiagnosisSection): Element hl7:code[(@code='AU-DIAGNOSIS' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3104-2017-05-24T171828.html"
              test="count(hl7:title)&lt;=1">(AUDiagnosisSection): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3104-2017-05-24T171828.html"
              test="count(hl7:text)&lt;=1">(AUDiagnosisSection): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3104-2017-05-24T171828.html"
              test="count(hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4265']]])&gt;=1">(AUDiagnosisSection): Element hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4265']]] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3104-2017-05-24T171828.html"
              test="count(hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4265']]])&lt;=6">(AUDiagnosisSection): Element hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4265']]] kommt zu häufig vor [max 6x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3104
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3104']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3104']]/hl7:templateId[@root='1.2.276.0.76.10.3104']
Item: (AUDiagnosisSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3104']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3104']]/hl7:templateId[@root='1.2.276.0.76.10.3104']"
         id="d19e1131-false-d15430e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3104-2017-05-24T171828.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AUDiagnosisSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3104-2017-05-24T171828.html"
              test="string(@root)=('1.2.276.0.76.10.3104')">(AUDiagnosisSection): Der Wert von @root MUSS '1.2.276.0.76.10.3104' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3104
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3104']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3104']]/hl7:code[(@code='AU-DIAGNOSIS' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]
Item: (AUDiagnosisSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3104']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3104']]/hl7:code[(@code='AU-DIAGNOSIS' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]"
         id="d19e1136-false-d15446e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3104-2017-05-24T171828.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AUDiagnosisSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3104-2017-05-24T171828.html"
              test="@nullFlavor or (@code='AU-DIAGNOSIS' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99')">(AUDiagnosisSection): Der Elementinhalt MUSS einer von 'code 'AU-DIAGNOSIS' codeSystem '1.2.276.0.76.3.1.135.8.5.99'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3104
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3104']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3104']]/hl7:title
Item: (AUDiagnosisSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3104']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3104']]/hl7:title"
         id="d19e1141-false-d15463e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3104-2017-05-24T171828.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AUDiagnosisSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3104-2017-05-24T171828.html"
              test="text()='AU-begründende Diagnose'">(AUDiagnosisSection): Der Elementinhalt von 'hl7:title' MUSS ''AU-begründende Diagnose'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3104
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3104']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3104']]/hl7:text
Item: (AUDiagnosisSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3104']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3104']]/hl7:text"
         id="d19e1148-false-d15478e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3104-2017-05-24T171828.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AUDiagnosisSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3104
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3104']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3104']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4265']]]
Item: (AUDiagnosisSection)
-->
   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3104']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3104']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4265']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3104-2017-05-24T171828.html"
              test="@typeCode">(AUDiagnosisSection): Attribut @typeCode MUSS vorkommen.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(doc('include/voc-2.16.840.1.113883.1.11.19446-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3104-2017-05-24T171828.html"
              test="not(@typeCode) or count($theAttValue) = count($theAttCheck)">(AUDiagnosisSection): Der Wert von typeCode MUSS gewählt werden aus Value Set '2.16.840.1.113883.1.11.19446' x_ActRelationshipEntry (DYNAMIC).</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3104-2017-05-24T171828.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(AUDiagnosisSection): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>
</pattern>
