<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3105
Name: Findings Section
Description: Diese Section versammelt alle Beobachtungsergebnisse/Befunde, die für den Patienten erhoben wurden. Dies können Laborergebnisse, Pathologie- oder Radiologiebefunde oder Befunde anderer bildgebender Verfahren sein.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3105-2017-11-20T221348">
   <title>Findings Section</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3105
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3105']]]
Item: (FindingsSection)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3105
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3105']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3105']]
Item: (FindingsSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3105']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3105']]"
         id="d19e1185-false-d15583e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3105-2017-11-20T221348.html"
              test="string(@classCode)=('DOCSECT') or not(@classCode)">(FindingsSection): Der Wert von @classCode MUSS 'DOCSECT' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3105-2017-11-20T221348.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(FindingsSection): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3105-2017-11-20T221348.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3105'])&gt;=1">(FindingsSection): Element hl7:templateId[@root='1.2.276.0.76.10.3105'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3105-2017-11-20T221348.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3105'])&lt;=1">(FindingsSection): Element hl7:templateId[@root='1.2.276.0.76.10.3105'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3105-2017-11-20T221348.html"
              test="count(hl7:id)&lt;=1">(FindingsSection): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3105-2017-11-20T221348.html"
              test="count(hl7:code[(@code='30954-2' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor])&lt;=1">(FindingsSection): Element hl7:code[(@code='30954-2' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3105-2017-11-20T221348.html"
              test="count(hl7:title)&lt;=1">(FindingsSection): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3105-2017-11-20T221348.html"
              test="count(hl7:text)&lt;=1">(FindingsSection): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3105
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3105']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3105']]/hl7:templateId[@root='1.2.276.0.76.10.3105']
Item: (FindingsSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3105']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3105']]/hl7:templateId[@root='1.2.276.0.76.10.3105']"
         id="d19e1191-false-d15655e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3105-2017-11-20T221348.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FindingsSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3105-2017-11-20T221348.html"
              test="string(@root)=('1.2.276.0.76.10.3105')">(FindingsSection): Der Wert von @root MUSS '1.2.276.0.76.10.3105' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3105
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3105']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3105']]/hl7:id
Item: (FindingsSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3105']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3105']]/hl7:id"
         id="d19e1196-false-d15670e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3105-2017-11-20T221348.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FindingsSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3105
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3105']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3105']]/hl7:code[(@code='30954-2' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor]
Item: (FindingsSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3105']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3105']]/hl7:code[(@code='30954-2' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d19e1198-false-d15682e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3105-2017-11-20T221348.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FindingsSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3105-2017-11-20T221348.html"
              test="@nullFlavor or (@code='30954-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Relevant diagnostic tests/laboratory data Narrative ')">(FindingsSection): Der Elementinhalt MUSS einer von 'code '30954-2' codeSystem '2.16.840.1.113883.6.1' displayName='Relevant diagnostic tests/laboratory data Narrative '' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3105
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3105']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3105']]/hl7:title
Item: (FindingsSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3105']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3105']]/hl7:title"
         id="d19e1204-false-d15699e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3105-2017-11-20T221348.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FindingsSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3105
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3105']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3105']]/hl7:text
Item: (FindingsSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3105']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3105']]/hl7:text"
         id="d19e1206-false-d15710e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3105-2017-11-20T221348.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FindingsSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3105
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3105']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3105']]/hl7:entry[@typeCode='COMP'][hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4253']]]
Item: (FindingsSection)
-->
   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3105']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3105']]/hl7:entry[@typeCode='COMP'][hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4253']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3105-2017-11-20T221348.html"
              test="string(@typeCode)=('COMP')">(FindingsSection): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3105-2017-11-20T221348.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(FindingsSection): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
   </rule>
</pattern>
