<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3115
Name: Diagnosis Section (06)
Description: In dieser Section werden die  AU-begründende Diagnosen  untergebracht.  Die ICD-Codes kommen in die inkludierten Entries. (max 6 Stk.) Der Freitext (als Feld in der dritten Zeile) wird im text-Element dieser Section untergebracht.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3115-2018-02-21T140354">
   <title>Diagnosis Section (06)</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3115
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3115'] and hl7:templateId[@root='1.2.276.0.76.10.3104']]]
Item: (F06DiagnosisSection)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3115
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3115'] and hl7:templateId[@root='1.2.276.0.76.10.3104']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3115'] and hl7:templateId[@root='1.2.276.0.76.10.3104']]
Item: (F06DiagnosisSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3115'] and hl7:templateId[@root='1.2.276.0.76.10.3104']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3115'] and hl7:templateId[@root='1.2.276.0.76.10.3104']]"
         id="d19e1469-false-d16796e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3115-2018-02-21T140354.html"
              test="string(@classCode)=('DOCSECT') or not(@classCode)">(F06DiagnosisSection): Der Wert von @classCode MUSS 'DOCSECT' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3115-2018-02-21T140354.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(F06DiagnosisSection): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3115-2018-02-21T140354.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3115'])&gt;=1">(F06DiagnosisSection): Element hl7:templateId[@root='1.2.276.0.76.10.3115'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3115-2018-02-21T140354.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3115'])&lt;=1">(F06DiagnosisSection): Element hl7:templateId[@root='1.2.276.0.76.10.3115'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3115-2018-02-21T140354.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3104'])&gt;=1">(F06DiagnosisSection): Element hl7:templateId[@root='1.2.276.0.76.10.3104'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3115-2018-02-21T140354.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3104'])&lt;=1">(F06DiagnosisSection): Element hl7:templateId[@root='1.2.276.0.76.10.3104'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3115-2018-02-21T140354.html"
              test="count(hl7:code[(@code='DIAGNOSIS' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor])&lt;=1">(F06DiagnosisSection): Element hl7:code[(@code='DIAGNOSIS' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3115-2018-02-21T140354.html"
              test="count(hl7:title)&lt;=1">(F06DiagnosisSection): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3115-2018-02-21T140354.html"
              test="count(hl7:text)&lt;=1">(F06DiagnosisSection): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3115
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3115'] and hl7:templateId[@root='1.2.276.0.76.10.3104']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3115'] and hl7:templateId[@root='1.2.276.0.76.10.3104']]/hl7:templateId[@root='1.2.276.0.76.10.3115']
Item: (F06DiagnosisSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3115'] and hl7:templateId[@root='1.2.276.0.76.10.3104']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3115'] and hl7:templateId[@root='1.2.276.0.76.10.3104']]/hl7:templateId[@root='1.2.276.0.76.10.3115']"
         id="d19e1475-false-d16856e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3115-2018-02-21T140354.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F06DiagnosisSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3115-2018-02-21T140354.html"
              test="string(@root)=('1.2.276.0.76.10.3115')">(F06DiagnosisSection): Der Wert von @root MUSS '1.2.276.0.76.10.3115' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3115
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3115'] and hl7:templateId[@root='1.2.276.0.76.10.3104']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3115'] and hl7:templateId[@root='1.2.276.0.76.10.3104']]/hl7:templateId[@root='1.2.276.0.76.10.3104']
Item: (F06DiagnosisSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3115'] and hl7:templateId[@root='1.2.276.0.76.10.3104']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3115'] and hl7:templateId[@root='1.2.276.0.76.10.3104']]/hl7:templateId[@root='1.2.276.0.76.10.3104']"
         id="d19e1480-false-d16872e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3115-2018-02-21T140354.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F06DiagnosisSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3115-2018-02-21T140354.html"
              test="string(@root)=('1.2.276.0.76.10.3104')">(F06DiagnosisSection): Der Wert von @root MUSS '1.2.276.0.76.10.3104' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3115
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3115'] and hl7:templateId[@root='1.2.276.0.76.10.3104']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3115'] and hl7:templateId[@root='1.2.276.0.76.10.3104']]/hl7:code[(@code='DIAGNOSIS' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]
Item: (F06DiagnosisSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3115'] and hl7:templateId[@root='1.2.276.0.76.10.3104']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3115'] and hl7:templateId[@root='1.2.276.0.76.10.3104']]/hl7:code[(@code='DIAGNOSIS' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]"
         id="d19e1485-false-d16888e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3115-2018-02-21T140354.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F06DiagnosisSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3115-2018-02-21T140354.html"
              test="@nullFlavor or (@code='DIAGNOSIS' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99')">(F06DiagnosisSection): Der Elementinhalt MUSS einer von 'code 'DIAGNOSIS' codeSystem '1.2.276.0.76.3.1.135.8.5.99'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3115
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3115'] and hl7:templateId[@root='1.2.276.0.76.10.3104']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3115'] and hl7:templateId[@root='1.2.276.0.76.10.3104']]/hl7:title
Item: (F06DiagnosisSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3115'] and hl7:templateId[@root='1.2.276.0.76.10.3104']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3115'] and hl7:templateId[@root='1.2.276.0.76.10.3104']]/hl7:title"
         id="d19e1491-false-d16905e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3115-2018-02-21T140354.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F06DiagnosisSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3115-2018-02-21T140354.html"
              test="text()='Diagnose' or text()='Verdachtsdiagnose'">(F06DiagnosisSection): Der Elementinhalt von 'hl7:title' MUSS ''Diagnose' oder 'Verdachtsdiagnose'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3115
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3115'] and hl7:templateId[@root='1.2.276.0.76.10.3104']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3115'] and hl7:templateId[@root='1.2.276.0.76.10.3104']]/hl7:text
Item: (F06DiagnosisSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3115'] and hl7:templateId[@root='1.2.276.0.76.10.3104']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3115'] and hl7:templateId[@root='1.2.276.0.76.10.3104']]/hl7:text"
         id="d19e1500-false-d16923e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.3115-2018-02-21T140354.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F06DiagnosisSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
