<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4023
Name: Einzeldosierungen
Description: Einzeldosierungen, Einnahme: morgens, mittags, abends, zur Nacht
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4023-2017-06-04T000000">
   <title>Einzeldosierungen</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4023
Context: *[hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]]
Item: (MedicationStatementSplitDose)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4023
Context: *[hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]]/hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]
Item: (MedicationStatementSplitDose)
-->

   <rule context="*[hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]]/hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]"
         id="d19e2188-false-d19070e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4023-2017-06-04T000000.html"
              test="string(@classCode)=('SBADM')">(MedicationStatementSplitDose): Der Wert von @classCode MUSS 'SBADM' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4023-2017-06-04T000000.html"
              test="string(@moodCode)=('EVN')">(MedicationStatementSplitDose): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4023-2017-06-04T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4023'])&gt;=1">(MedicationStatementSplitDose): Element hl7:templateId[@root='1.2.276.0.76.10.4023'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4023-2017-06-04T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4023'])&lt;=1">(MedicationStatementSplitDose): Element hl7:templateId[@root='1.2.276.0.76.10.4023'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4023-2017-06-04T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&gt;=1">(MedicationStatementSplitDose): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4023-2017-06-04T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&lt;=1">(MedicationStatementSplitDose): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:effectiveTime[@value or @nullFlavor] | hl7:effectiveTime[@xsi:type='EIVL_TS'])"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4023-2017-06-04T000000.html"
              test="$elmcount&lt;=1">(MedicationStatementSplitDose): Auswahl (hl7:effectiveTime[@value or @nullFlavor]  oder  hl7:effectiveTime[@xsi:type='EIVL_TS']) enthält zu viele Elemente [max 1x]</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4023-2017-06-04T000000.html"
              test="count(hl7:doseQuantity[not(@nullFlavor)])&gt;=1">(MedicationStatementSplitDose): Element hl7:doseQuantity[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4023-2017-06-04T000000.html"
              test="count(hl7:doseQuantity[not(@nullFlavor)])&lt;=1">(MedicationStatementSplitDose): Element hl7:doseQuantity[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4023-2017-06-04T000000.html"
              test="count(hl7:consumable[not(@nullFlavor)])&gt;=1">(MedicationStatementSplitDose): Element hl7:consumable[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4023-2017-06-04T000000.html"
              test="count(hl7:consumable[not(@nullFlavor)])&lt;=1">(MedicationStatementSplitDose): Element hl7:consumable[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4023-2017-06-04T000000.html"
              test="count(hl7:precondition)&lt;=1">(MedicationStatementSplitDose): Element hl7:precondition kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4023
Context: *[hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]]/hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]/hl7:templateId[@root='1.2.276.0.76.10.4023']
Item: (MedicationStatementSplitDose)
-->

   <rule context="*[hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]]/hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]/hl7:templateId[@root='1.2.276.0.76.10.4023']"
         id="d19e2194-false-d19150e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4023-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationStatementSplitDose): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4023-2017-06-04T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4023')">(MedicationStatementSplitDose): Der Wert von @root MUSS '1.2.276.0.76.10.4023' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4023
Context: *[hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]]/hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]/hl7:text[not(@nullFlavor)]
Item: (MedicationStatementSplitDose)
-->

   <rule context="*[hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]]/hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]/hl7:text[not(@nullFlavor)]"
         id="d19e2199-false-d19165e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4023-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationStatementSplitDose): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4023-2017-06-04T000000.html"
              test="count(hl7:reference[not(@nullFlavor)])&gt;=1">(MedicationStatementSplitDose): Element hl7:reference[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4023-2017-06-04T000000.html"
              test="count(hl7:reference[not(@nullFlavor)])&lt;=1">(MedicationStatementSplitDose): Element hl7:reference[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4023
Context: *[hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]]/hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]/hl7:text[not(@nullFlavor)]/hl7:reference[not(@nullFlavor)]
Item: (MedicationStatementSplitDose)
-->

   <rule context="*[hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]]/hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]/hl7:text[not(@nullFlavor)]/hl7:reference[not(@nullFlavor)]"
         id="d19e2201-false-d19186e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4023-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationStatementSplitDose): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4023-2017-06-04T000000.html"
              test="@value">(MedicationStatementSplitDose): Attribut @value MUSS vorkommen.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4023
Context: *[hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]]/hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]/hl7:effectiveTime[@value or @nullFlavor]
Item: (MedicationStatementSplitDose)
-->

   <rule context="*[hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]]/hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]/hl7:effectiveTime[@value or @nullFlavor]"
         id="d19e2213-false-d19199e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4023-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationStatementSplitDose): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4023-2017-06-04T000000.html"
              test="not(*)">(MedicationStatementSplitDose): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4023-2017-06-04T000000.html"
              test="count(hl7:width)&gt;=1">(MedicationStatementSplitDose): Element hl7:width ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4023-2017-06-04T000000.html"
              test="count(hl7:width)&lt;=1">(MedicationStatementSplitDose): Element hl7:width kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4023
Context: *[hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]]/hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]/hl7:effectiveTime[@value or @nullFlavor]/hl7:width
Item: (MedicationStatementSplitDose)
-->

   <rule context="*[hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]]/hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]/hl7:effectiveTime[@value or @nullFlavor]/hl7:width"
         id="d19e2228-false-d19223e0">
      <extends rule="PQ"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4023-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationStatementSplitDose): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4023-2017-06-04T000000.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(MedicationStatementSplitDose): @value ist keine gültige PQ Zahl <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4023-2017-06-04T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(MedicationStatementSplitDose): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4023
Context: *[hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]]/hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]/hl7:effectiveTime[@xsi:type='EIVL_TS']
Item: (MedicationStatementSplitDose)
-->

   <rule context="*[hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]]/hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]/hl7:effectiveTime[@xsi:type='EIVL_TS']"
         id="d19e2231-false-d19238e0">
      <extends rule="EIVL_TS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4023-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='EIVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationStatementSplitDose): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:EIVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4023-2017-06-04T000000.html"
              test="count(hl7:event[@code=doc('include/voc-2.16.840.1.113883.2.6.60.4.11.20-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code])&gt;=1">(MedicationStatementSplitDose): Element hl7:event[@code=doc('include/voc-2.16.840.1.113883.2.6.60.4.11.20-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4023-2017-06-04T000000.html"
              test="count(hl7:event[@code=doc('include/voc-2.16.840.1.113883.2.6.60.4.11.20-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code])&lt;=1">(MedicationStatementSplitDose): Element hl7:event[@code=doc('include/voc-2.16.840.1.113883.2.6.60.4.11.20-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4023-2017-06-04T000000.html"
              test="count(hl7:offset)&lt;=1">(MedicationStatementSplitDose): Element hl7:offset kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4023
Context: *[hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]]/hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]/hl7:effectiveTime[@xsi:type='EIVL_TS']/hl7:event[@code=doc('include/voc-2.16.840.1.113883.2.6.60.4.11.20-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]
Item: (MedicationStatementSplitDose)
-->

   <rule context="*[hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]]/hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]/hl7:effectiveTime[@xsi:type='EIVL_TS']/hl7:event[@code=doc('include/voc-2.16.840.1.113883.2.6.60.4.11.20-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]"
         id="d19e2236-false-d19272e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4023-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationStatementSplitDose): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4023-2017-06-04T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.6.60.4.11.20-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(MedicationStatementSplitDose): Der Elementinhalt MUSS einer von '2.16.840.1.113883.2.6.60.4.11.20 Einnahmezeitpunkte (DYNAMIC)' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4023-2017-06-04T000000.html"
              test="@code">(MedicationStatementSplitDose): Attribut @code MUSS vorkommen.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4023
Context: *[hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]]/hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]/hl7:effectiveTime[@xsi:type='EIVL_TS']/hl7:offset
Item: (MedicationStatementSplitDose)
-->

   <rule context="*[hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]]/hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]/hl7:effectiveTime[@xsi:type='EIVL_TS']/hl7:offset"
         id="d19e2243-false-d19298e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4023-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationStatementSplitDose): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4023-2017-06-04T000000.html"
              test="@unit">(MedicationStatementSplitDose): Attribut @unit MUSS vorkommen.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@unit),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(doc('include/voc-1.2.276.0.76.11.452-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4023-2017-06-04T000000.html"
              test="not(@unit) or count($theAttValue) = count($theAttCheck)">(MedicationStatementSplitDose): Der Wert von unit MUSS gewählt werden aus Value Set '1.2.276.0.76.11.452' Zeiteinheiten (UCUM) (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4023
Context: *[hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]]/hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]/hl7:doseQuantity[not(@nullFlavor)]
Item: (MedicationStatementSplitDose)
-->

   <rule context="*[hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]]/hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]/hl7:doseQuantity[not(@nullFlavor)]"
         id="d19e2254-false-d19327e0">
      <extends rule="IVL_PQ"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4023-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationStatementSplitDose): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_PQ" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4023-2017-06-04T000000.html"
              test="not(hl7:low/@value) or matches(string(hl7:low/@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(MedicationStatementSplitDose): value/low @value ist keine gültige PQ Zahl<value-of select="hl7:low/@value"/>
      </assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4023-2017-06-04T000000.html"
              test="not(hl7:high/@value) or matches(string(hl7:high/@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(MedicationStatementSplitDose): value/high @value ist keine gültige PQ Zahl<value-of select="hl7:high/@value"/>
      </assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4023-2017-06-04T000000.html"
              test="not(hl7:center/@value) or matches(string(hl7:center/@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(MedicationStatementSplitDose): value/center @value ist keine gültige PQ Zahl<value-of select="hl7:center/@value"/>
      </assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4023
Context: *[hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]]/hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]/hl7:consumable[not(@nullFlavor)]
Item: (MedicationStatementSplitDose)
-->

   <rule context="*[hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]]/hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]/hl7:consumable[not(@nullFlavor)]"
         id="d19e2286-false-d19347e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4023-2017-06-04T000000.html"
              test="count(hl7:manufacturedProduct[not(@nullFlavor)])&gt;=1">(MedicationStatementSplitDose): Element hl7:manufacturedProduct[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4023-2017-06-04T000000.html"
              test="count(hl7:manufacturedProduct[not(@nullFlavor)])&lt;=1">(MedicationStatementSplitDose): Element hl7:manufacturedProduct[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4023
Context: *[hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]]/hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]/hl7:consumable[not(@nullFlavor)]/hl7:manufacturedProduct[not(@nullFlavor)]
Item: (MedicationStatementSplitDose)
-->

   <rule context="*[hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]]/hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]/hl7:consumable[not(@nullFlavor)]/hl7:manufacturedProduct[not(@nullFlavor)]"
         id="d19e2288-false-d19364e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4023-2017-06-04T000000.html"
              test="count(hl7:manufacturedMaterial)&gt;=1">(MedicationStatementSplitDose): Element hl7:manufacturedMaterial ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4023-2017-06-04T000000.html"
              test="count(hl7:manufacturedMaterial)&lt;=1">(MedicationStatementSplitDose): Element hl7:manufacturedMaterial kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4023
Context: *[hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]]/hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]/hl7:consumable[not(@nullFlavor)]/hl7:manufacturedProduct[not(@nullFlavor)]/hl7:manufacturedMaterial
Item: (MedicationStatementSplitDose)
-->

   <rule context="*[hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]]/hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]/hl7:consumable[not(@nullFlavor)]/hl7:manufacturedProduct[not(@nullFlavor)]/hl7:manufacturedMaterial"
         id="d19e2290-false-d19381e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4023-2017-06-04T000000.html"
              test="string(@nullFlavor)=('NA')">(MedicationStatementSplitDose): Der Wert von @nullFlavor MUSS 'NA' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90028
Context: *[hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]]/hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]/hl7:precondition
Item: (MedicationPrecondition)
-->

   <rule context="*[hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]]/hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]/hl7:precondition"
         id="d19386e52-false-d19393e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.90028-2017-06-04T000000.html"
              test="string(@typeCode)=('PRCN') or not(@typeCode)">(MedicationPrecondition): Der Wert von @typeCode MUSS 'PRCN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.90028-2017-06-04T000000.html"
              test="count(hl7:criterion)&gt;=1">(MedicationPrecondition): Element hl7:criterion ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.90028-2017-06-04T000000.html"
              test="count(hl7:criterion)&lt;=1">(MedicationPrecondition): Element hl7:criterion kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90028
Context: *[hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]]/hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]/hl7:precondition/hl7:criterion
Item: (MedicationPrecondition)
-->

   <rule context="*[hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]]/hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]/hl7:precondition/hl7:criterion"
         id="d19386e56-false-d19414e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.90028-2017-06-04T000000.html"
              test="string(@classCode)=('OBS') or not(@classCode)">(MedicationPrecondition): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.90028-2017-06-04T000000.html"
              test="string(@moodCode)=('EVN.CRT') or not(@moodCode)">(MedicationPrecondition): Der Wert von @moodCode MUSS 'EVN.CRT' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.90028-2017-06-04T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.453-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&lt;=1">(MedicationPrecondition): Element hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.453-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.90028-2017-06-04T000000.html"
              test="count(hl7:text)&lt;=1">(MedicationPrecondition): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90028
Context: *[hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]]/hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]/hl7:precondition/hl7:criterion/hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.453-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]
Item: (MedicationPrecondition)
-->

   <rule context="*[hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]]/hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]/hl7:precondition/hl7:criterion/hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.453-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]"
         id="d19386e62-false-d19449e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.90028-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationPrecondition): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.90028-2017-06-04T000000.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.11.453-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(MedicationPrecondition): Der Elementinhalt MUSS einer von '1.2.276.0.76.11.453 Vorbedingungen Medikation (DYNAMIC)' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.90028-2017-06-04T000000.html"
              test="count(hl7:originalText)&lt;=1">(MedicationPrecondition): Element hl7:originalText kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90028
Context: *[hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]]/hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]/hl7:precondition/hl7:criterion/hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.453-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]/hl7:originalText
Item: (MedicationPrecondition)
-->

   <rule context="*[hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]]/hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]/hl7:precondition/hl7:criterion/hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.453-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]/hl7:originalText"
         id="d19386e66-false-d19478e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.90028-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationPrecondition): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90028
Context: *[hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]]/hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]/hl7:precondition/hl7:criterion/hl7:text
Item: (MedicationPrecondition)
-->

   <rule context="*[hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]]/hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]/hl7:precondition/hl7:criterion/hl7:text"
         id="d19386e69-false-d19489e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.90028-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationPrecondition): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.90028-2017-06-04T000000.html"
              test="count(hl7:reference[not(@nullFlavor)])&gt;=1">(MedicationPrecondition): Element hl7:reference[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.90028-2017-06-04T000000.html"
              test="count(hl7:reference[not(@nullFlavor)])&lt;=1">(MedicationPrecondition): Element hl7:reference[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90028
Context: *[hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]]/hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]/hl7:precondition/hl7:criterion/hl7:text/hl7:reference[not(@nullFlavor)]
Item: (MedicationPrecondition)
-->

   <rule context="*[hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]]/hl7:substanceAdministration[@classCode='SBADM'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4023']]/hl7:precondition/hl7:criterion/hl7:text/hl7:reference[not(@nullFlavor)]"
         id="d19386e71-false-d19510e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.90028-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationPrecondition): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.90028-2017-06-04T000000.html"
              test="@value">(MedicationPrecondition): Attribut @value MUSS vorkommen.</assert>
   </rule>
</pattern>
