<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4261
Name: Medikation Gruppierung
Description: Organizer zur Gruppierung von Medikationseinträgen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4261-2017-07-05T000000">
   <title>Medikation Gruppierung</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4261
Context: *[hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]]
Item: (Medicationstatementlist)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4261
Context: *[hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]]/hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]
Item: (Medicationstatementlist)
-->

   <rule context="*[hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]]/hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]"
         id="d19e2975-false-d22741e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4261-2017-07-05T000000.html"
              test="string(@classCode)=('CLUSTER')">(Medicationstatementlist): Der Wert von @classCode MUSS 'CLUSTER' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4261-2017-07-05T000000.html"
              test="string(@moodCode)=('EVN')">(Medicationstatementlist): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4261-2017-07-05T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4261'])&gt;=1">(Medicationstatementlist): Element hl7:templateId[@root='1.2.276.0.76.10.4261'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4261-2017-07-05T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4261'])&lt;=1">(Medicationstatementlist): Element hl7:templateId[@root='1.2.276.0.76.10.4261'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4261-2017-07-05T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.451-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&lt;=1">(Medicationstatementlist): Element hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.451-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4261-2017-07-05T000000.html"
              test="count(hl7:statusCode[@code='completed' or @nullFlavor])&gt;=1">(Medicationstatementlist): Element hl7:statusCode[@code='completed' or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4261-2017-07-05T000000.html"
              test="count(hl7:statusCode[@code='completed' or @nullFlavor])&lt;=1">(Medicationstatementlist): Element hl7:statusCode[@code='completed' or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4261
Context: *[hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]]/hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]/hl7:templateId[@root='1.2.276.0.76.10.4261']
Item: (Medicationstatementlist)
-->

   <rule context="*[hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]]/hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]/hl7:templateId[@root='1.2.276.0.76.10.4261']"
         id="d19e2981-false-d22848e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4261-2017-07-05T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Medicationstatementlist): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4261-2017-07-05T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4261')">(Medicationstatementlist): Der Wert von @root MUSS '1.2.276.0.76.10.4261' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4261
Context: *[hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]]/hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.451-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]
Item: (Medicationstatementlist)
-->

   <rule context="*[hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]]/hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.451-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]"
         id="d19e2986-false-d22866e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4261-2017-07-05T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Medicationstatementlist): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4261-2017-07-05T000000.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.11.451-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(Medicationstatementlist): Der Elementinhalt MUSS einer von '1.2.276.0.76.11.451 S_BMP_ZWISCHENUEBERSCHRIFT (DYNAMIC)' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4261-2017-07-05T000000.html"
              test="count(hl7:originalText)&lt;=1">(Medicationstatementlist): Element hl7:originalText kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4261
Context: *[hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]]/hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.451-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]/hl7:originalText
Item: (Medicationstatementlist)
-->

   <rule context="*[hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]]/hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.451-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]/hl7:originalText"
         id="d19e2993-false-d22895e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4261-2017-07-05T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Medicationstatementlist): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4261
Context: *[hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]]/hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]/hl7:statusCode[@code='completed' or @nullFlavor]
Item: (Medicationstatementlist)
-->

   <rule context="*[hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]]/hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]/hl7:statusCode[@code='completed' or @nullFlavor]"
         id="d19e3000-false-d22907e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4261-2017-07-05T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Medicationstatementlist): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4261-2017-07-05T000000.html"
              test="@nullFlavor or (@code='completed')">(Medicationstatementlist): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4261
Context: *[hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]]/hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]/hl7:author
Item: (Medicationstatementlist)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]]/hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]/hl7:author
Item: (AuthorBody)
-->
   <rule context="*[hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]]/hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]/hl7:author">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="string(@typeCode)=('AUT') or not(@typeCode)">(AuthorBody): Der Wert von @typeCode MUSS 'AUT' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="string(@contextControlCode)=('OP') or not(@contextControlCode)">(AuthorBody): Der Wert von @contextControlCode MUSS 'OP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:functionCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&lt;=1">(AuthorBody): Element hl7:functionCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:time)&gt;=1">(AuthorBody): Element hl7:time ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:time)&lt;=1">(AuthorBody): Element hl7:time kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:assignedAuthor)&gt;=1">(AuthorBody): Element hl7:assignedAuthor ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:assignedAuthor)&lt;=1">(AuthorBody): Element hl7:assignedAuthor kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]]/hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]/hl7:author/hl7:functionCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]
Item: (AuthorBody)
-->
   <rule context="*[hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]]/hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]/hl7:author/hl7:functionCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(AuthorBody): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.10267 ParticipationFunction (DYNAMIC)' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]]/hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]/hl7:author/hl7:time
Item: (AuthorBody)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]]/hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]/hl7:author/hl7:assignedAuthor
Item: (AuthorBody)
-->
   <rule context="*[hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]]/hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]/hl7:author/hl7:assignedAuthor">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="string(@classCode)=('ASSIGNED') or not(@classCode)">(AuthorBody): Der Wert von @classCode MUSS 'ASSIGNED' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:id)&gt;=1">(AuthorBody): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.5.111' or @nullFlavor])&lt;=1">(AuthorBody): Element hl7:code[@codeSystem='2.16.840.1.113883.5.111' or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(AuthorBody): Element hl7:assignedPerson kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(AuthorBody): Element hl7:representedOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]]/hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]/hl7:author/hl7:assignedAuthor/hl7:id
Item: (AuthorBody)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]]/hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]/hl7:author/hl7:assignedAuthor/hl7:code[@codeSystem='2.16.840.1.113883.5.111' or @nullFlavor]
Item: (AuthorBody)
-->
   <rule context="*[hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]]/hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]/hl7:author/hl7:assignedAuthor/hl7:code[@codeSystem='2.16.840.1.113883.5.111' or @nullFlavor]">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(AuthorBody): Der Elementinhalt MUSS einer von 'codeSystem '2.16.840.1.113883.5.111'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]]/hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]/hl7:author/hl7:assignedAuthor/hl7:addr
Item: (AuthorBody)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]]/hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]/hl7:author/hl7:assignedAuthor/hl7:telecom
Item: (AuthorBody)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]]/hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (AuthorBody)
-->
   <rule context="*[hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]]/hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(AuthorBody): Der Wert von @classCode MUSS 'PSN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(AuthorBody): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&gt;=1">(AuthorBody): Element hl7:name[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&lt;=1">(AuthorBody): Element hl7:name[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90010
Context: *[hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]]/hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name[not(@nullFlavor)]
Item: (PersonElements)
-->
   <rule context="*[hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]]/hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name[not(@nullFlavor)]">
      <extends rule="PN"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.90010-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PersonElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]]/hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (AuthorBody)
-->
   <rule context="*[hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]]/hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="string(@classCode)=('ORG') or not(@classCode)">(AuthorBody): Der Wert von @classCode MUSS 'ORG' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(AuthorBody): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&gt;=1">(AuthorBody): Element hl7:name[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&lt;=1">(AuthorBody): Element hl7:name[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:addr)&lt;=1">(AuthorBody): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]]/hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id
Item: (OrganizationElements)
-->
   <rule context="*[hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]]/hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]]/hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name[not(@nullFlavor)]
Item: (OrganizationElements)
-->
   <rule context="*[hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]]/hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name[not(@nullFlavor)]">
      <extends rule="ON"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]]/hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom
Item: (OrganizationElements)
-->
   <rule context="*[hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]]/hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]]/hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr
Item: (OrganizationElements)
-->
   <rule context="*[hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]]/hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr">
      <extends rule="AD"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4261
Context: *[hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]]/hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4022']]]
Item: (Medicationstatementlist)
-->
   <rule context="*[hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]]/hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4261']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4022']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4261-2017-07-05T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(Medicationstatementlist): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180516T122005/tmp-1.2.276.0.76.10.4261-2017-07-05T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(Medicationstatementlist): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
   </rule>
</pattern>
